%YAML 1.1
---
gfVersion: v1.0
class: app

name: sanitizeme-paired-gf
description: Remove DNA in the provided FASTA reference from paired-end data
repo_uri: https://gitlab.com/geneflow/apps/sanitizemepaired-gf.git
version: '0.2'
inputs:
  input:
    label: Input Folder
    description: Folder with paired-end sequencing data
    type: Directory
parameters:
  reference:
    label: Reference File
    description: Reference FASTA file with sequences to remove
    type: File
  large_reference:
    label: Large Reference
    description: The reference is larger than 4GB
    type: string
    default: false
  threads:
    label: Threads
    description: Threads to use (more is faster)
    type: int
    default: 2
  output:
    label: Output Folder
    description: Output folder
    type: Directory
definition:
{% if agave %}
  agave:
    agave_app_id: {{ agave.appsPrefix }}-sanitizeme-paired-gf-0.2{{ revision }}
{% endif %}
  local:
    script: sanitizeme-paired-gf.sh
...